<?php

///////////////////////////////////////////////////////////////////////////////////////////////
//
// Simple XML Shoutcast parser to display information from your shoutcast....
// Any questions please contact me at https://xperiencerewind.co.uk/ - https://stewartswebworks.com/
// Thank you.... Steve Stewart 
//
// All you need to do is change the URL and PORT number to that of your shoutcast 
//
// $url = "MYSHOUTCASTURL:PORTNUMBER/stats";
//
////////////////////////////////////////////////////////////////////////////////////////////////


$url = "http://MYSHOUTCASTURL:PORTNUMBER/stats"; // Change URL and PORT number 
$ch = curl_init();
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_URL, $url);

$data = curl_exec($ch);
curl_close($ch);

$xml = simplexml_load_string($data);

$servname = $xml->SERVERTITLE;
$song = $xml->SONGTITLE;
$genre = $xml->SERVERGENRE;
$listeners = $xml->CURRENTLISTENERS;
$maxlisteners = $xml->MAXLISTENERS;
$peaklisteners = $xml->PEAKLISTENERS;
$avtime = $xml->AVERAGETIME;
$servurl = $xml->SERVERURL;
$status = $xml->STREAMSTATUS;
$brate = $xml->BITRATE;
$shoutvers = $xml->VERSION;


if($status == '0'){
	$stat = '
	
<div style="padding:8px;background-color:#1c1c1c;border-radius:10px 10px 10px 10px;border:#080808 solid 1px;color:#ffffff;font-family:Comic Sans MS, cursive;">
SORRY! We are not broadcasting at the moment...
<div style="padding:8px;background-color:#000000;border:#080808 solid 1px;margin-top:6px;border-radius:10px 10px 10px 10px;">
Please come back soon
</div><br />
See you soon ;)
</div>
	
	';
}elseif($status == '1'){
	$stat = '

<div style="padding:8px;background-color:#1c1c1c;border-radius:10px 10px 10px 10px;border:#080808 solid 1px;color:#ffffff;font-family:Comic Sans MS, cursive;">
BROADCASTING LIVE with : '.$servname.' having '.$listeners.' listerners.
<div style="padding:8px;background-color:#000000;border:#080808 solid 1px;margin-top:6px;border-radius:10px 10px 10px 10px;">
Now playing: '.$song.'<br /><br />
Genre: '.$genre.'<br />
Website: '.$servurl.'<br />
Bitrate: '.$brate.'
</div><br />
We use ShoutCast Version '.$shoutvers.'
</div>
	
';
}
echo $stat;
?>